#
# spec file for package libraw1394 (Version 1.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libraw1394
Version:        1.2.0
Release:        13.2
License:        LGPL
Summary:        A Firewire Interface
URL:            http://www.linux1394.org/
Group:          System/Kernel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.linux1394.org/files/libraw1394/%{name}-%{version}.tar.bz2
Patch0:         libraw1394-iso_transmission-r156.patch

%description
A library for the Linux IEEE-1394 subsystem, which provides direct
access to the connected 1394 (Firewire) bus.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    
    Manfred Weihs <weihs@ict.tuwien.ac.at>
    Christian Toegel <christian.toegel@gmx.at>
    Dan Maas <dmaas@maasdigital.com>
    Ben Collins <bcollins@debian.org>
    
    Andreas Bombe <andreas.bombe@munich.netsurf.de>

%debug_package
%package devel
Summary:        Development and Include Files for Libraw1394
Summary(pt_BR): Arquivos de desenvolvimento e cabealhos para o libraw1394
Group:          System/Kernel
Requires:       %{name} == %{version}
AutoProv: no

%description devel
Libraw1394 is the only supported interface to the kernel side raw1394
of the Linux IEEE-1394 subsystem, which provides the user space direct
access to the connected 1394 buses.  Through libraw1394/raw1394,
applications can directly send to and receive from other nodes without
requiring a kernel driver for the protocol in question.

This archive contains the header files for libraw1394 development.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    
    Manfred Weihs <weihs@ict.tuwien.ac.at>
    Christian Toegel <christian.toegel@gmx.at>
    Dan Maas <dmaas@maasdigital.com>
    Ben Collins <bcollins@debian.org>
    
    Andreas Bombe <andreas.bombe@munich.netsurf.de>

%prep
%setup -q
%patch0

%build
%{?suse_update_config -ft}
autoreconf --force --install
export CFLAGS="%optflags"
./configure	--prefix=/usr		\
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}
%{__make} %{?jobs:-j%jobs} all

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d "${RPM_BUILD_ROOT}" ] && rm -rf "${RPM_BUILD_ROOT}"
%{__make} install DESTDIR=%{buildroot}

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d "${RPM_BUILD_ROOT}" ] && rm -rf "${RPM_BUILD_ROOT}"

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_bindir}/testlibraw
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_libdir}/libraw1394.so.*
%doc %{_mandir}/man[15]/*.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libraw1394
%defattr(644,root,root)
%{_libdir}/libraw1394.la
%{_libdir}/libraw1394.a
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/libraw1394.pc

%changelog -n libraw1394
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 01 2005 - olh@suse.de
- update to version 1.2.0
  add bugfix stalling on iso transmission underflow
* Tue Jan 11 2005 - olh@suse.de
- update to version 1.1.0
* Mon Mar 08 2004 - lmuelle@suse.de
- update to version 0.10.1
* Fri Feb 20 2004 - kkaempf@suse.de
- adapt aclocal definitions to automake 1.8.x (#34793)
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Jan 27 2003 - kukuk@suse.de
- Move .so symlinks into -devel package [Bug #22382]
* Sun Jan 12 2003 - aj@suse.de
- Fix multiline strings.
* Thu Jun 20 2002 - ro@suse.de
- run autoreconf
* Thu Jun 06 2002 - bk@suse.de
- fix defattr properly(for perms of includedir, mandir, docdir)
- never ever include %%{_mandir}/* (dirs!) into package filelist
- fix rpm license tag to LGPL and add URL tag und use optflags
* Tue May 28 2002 - lmuelle@suse.de
- fixed directory permissions of includedir
* Tue Feb 26 2002 - kraxel@suse.de
- added automake m4 file to devel package file list
- fixed s390x build failure
* Sat Sep 22 2001 - bjacke@suse.de
- initial build: version 0.9.0
